﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;

namespace CarFire
{
    public interface ICharacter
    {
        void LoadContent(ContentManager contentManager);
        void UnloadContent();
        long Update(GameTime gameTime, NetworkManager networkGame);
        long Draw(SpriteBatch spriteBatch);
        int Health { get; }
        void causeDamageTo(int amount);
        int GridX { get; set; }
        int GridY { get; set; }
    }

    public interface IPlayer : ICharacter
    {
        void MovePlayer(List<Keys> keysPressed);
        int Score { get; }
        void powerUp(int amount);
        void Spawn(Vector2 spawn);
        bool alive { get; }
    }

    public interface IMonster : ICharacter
    {
        bool visible { get; }
    }
}
